#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		_snap	20080813
%define		rel	4
Summary:	JPEG Scaling Library
Summary(pl.UTF-8):	Biblioteka do skalowania JPEG-ów
Name:		epeg
Version:	0.9.1.043
Release:	0.%{_snap}.%{rel}
License:	BSD
Group:		Libraries
Source0:	%{name}-%{version}-%{_snap}.tar.bz2
# Source0-md5:	a7331984bef4543a6ed1b385ccd7cc0d
URL:		http://enlightenment.org/Libraries/Epeg/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Epeg is a library which provides facilities for scaling JPEG images
very quickly.

Note: this library is obsolete; new software uses Evas to scale JPEG
images.

%description -l pl.UTF-8
Epeg to biblioteka ułatwiająca bardzo szybkie skalowanie obrazów JPEG.

Uwaga: ta biblioteka jest przestarzała; nowy kod do skalowania obrazów
JPEG wykorzystuje bibliotekę Evas.

%package libs
Summary:	Epeg library
Summary(pl.UTF-8):	Biblioteka epeg
Group:		Libraries

%description libs
Epeg library.

%description libs -l pl.UTF-8
Biblioteka epeg.

%package devel
Summary:	Epeg header files
Summary(pl.UTF-8):	Pliki nagłówkowe Epeg
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libjpeg-devel

%description devel
Header files for Epeg.

%description devel -l pl.UTF-8
Pliki nagłówkowe Epeg.

%package static
Summary:	Static Epeg library
Summary(pl.UTF-8):	Statyczna biblioteka Epeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Epeg library.

%description static -l pl.UTF-8
Statyczna biblioteka Epeg.

%prep
%setup -q -n %{name}-%{version}-%{_snap}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_bindir}/epeg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepeg.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepeg.so
%{_libdir}/libepeg.la
%{_includedir}/Epeg.h
%{_pkgconfigdir}/epeg.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libepeg.a
%endif
%changelog
* Thu Aug 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epeg.git;a=log;h=master

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 55cda8e
- rel 4

* Sun Jan 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 27bbfa1
- obsolete library note

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5339b48
- rel .3

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> df7a868
- rel 2

* Mon Aug 25 2008 pablo <pablo@pld-linux.org> da7d704
- updated to 20080813 snap

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> b9078f8
- ghost soname symlink
- updated ac/am BRs

* Sun Jun 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 247a269
- up to 0.9.1.042

* Sat Sep 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a70b18
- updated to 0.9.0.008

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d129145
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 728f9aa
- converted to UTF-8

* Sat Dec 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9433fe8
- rel 2

* Fri Mar 31 2006 sparky <sparky@pld-linux.org> ea4caf2
- up to 0.9.0.007

* Fri Mar 17 2006 sparky <sparky@pld-linux.org> 70c4a71
- up to 0.9.0.006
- added pkgconfig file

* Sat Jan 14 2006 sparky <sparky@pld-linux.org> e66c46d
- up to 0.9.0.005

* Wed Nov 30 2005 Karol Krenski <charles@pld-linux.org> b764493
- bcond static_libs

* Sun Oct 30 2005 sparky <sparky@pld-linux.org> 5590224
- library separated

* Thu Aug 25 2005 Karol Krenski <charles@pld-linux.org> df230c2
- proper URL

* Wed Aug 24 2005 Karol Krenski <charles@pld-linux.org> a6a7f7d
- updated to 0.9.0.004
- new Source0 ("official" snapshots)

* Sun Jul 10 2005 sparky <sparky@pld-linux.org> 7f0655f
- Source0: ftp -> http

* Sat Jul 09 2005 sparky <sparky@pld-linux.org> b706a22
- new snap
- status: builds, works

